#!/usr/bin/env bash

flag=$1

set -x
set -eu pipefail

theme="./jsonresume-theme-kindrobot"

node yamlToJson.js > resume.json
mkdir -p public
cp index.html photo.jpg resume.yml resume.json public
npx resume export public/resume.html --theme $theme
if [[ -z $flag || $flag != "--no-pdf" ]]; then
    npx resume export public/resume.pdf --theme $theme
fi
rm resume.json

